import React from "react";
import { FormProps } from "./Form.types";
import "./Form.scss";
import { IObject } from "../../interfaces/IObject";
declare class Form extends React.Component<FormProps, {
    data: IObject;
}> {
    static defaultProps: {
        noValidate: boolean;
    };
    state: {
        data: {};
    };
    constructor(props: any);
    has: (id: string) => boolean;
    onChange: (id: string, value: any) => void;
    onChangeProps: (id: any, value: any) => void;
    render(): JSX.Element;
}
export default Form;
